@import url('https://fonts.googleapis.com/css2?family=DotGothic16&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Archivo+Narrow:ital,wght@0,400..700;1,400..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Archivo:ital,wght@0,100..900;1,100..900&display=swap');
*{
    font-family: 'DotGothic16';
}
body{
    margin: 0;
    padding: 0;
    animation: smoothac 1s ease-out;
}
@keyframes smoothac{
    0%{
        transform: scale(0);
    }
    100%{
        transform: scale(1);
    }
}
a{
    color: black;
}
nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 5px;
    padding: 1rem 3rem;
    background-color: rgba(255,255,255,1);
    font-size: 1.5rem;
}
nav .navbar{
    display: flex;
    justify-content: end;
    align-items: start;
    gap: 20px;
    font-size: 1.5rem;
}
.navbar a{
    padding: 1rem;
    text-align: center;
    border-radius: 1rem;
    font-size: 1.25rem;
    text-decoration: none;
}
.navbar a:hover{
    background-color: blue;
    color: white;
}
.main-container{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 10px;
    margin: 0 75px;
}
.SteamPunk:hover{
    font-style: italic;
}
.body .main-page p{
    text-align: center;
    font-size: 100px;
    font-weight: 400;
    text-emphasis: none;
}
.main-img{
    border: 1px;
}
.main-img img{
    width: 100%;
    height: 100%;
}
.main-body{
    padding-top: 3rem;
    gap: 3rem;
    padding-bottom: 20px;
    border-bottom: 1px solid black;
}
.img1{
    border: 1px;
}
.img1 img{
    width: 100%;
    height: 100%;
}
button{
    height: 40px;
    width: 100px;
    font-family:'Archivo Narrow';
    font-size: 15px;
    background-color: blue;
    color: white;
    border: 0;
    line-height: 20px;
    font-weight: 500;
    border-radius: 5px;
    justify-content: center;
}
.different-font{
    font-family: 'Archivo';
}
.main-body{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.main-body button{
    justify-content: center;
}
button{
    cursor: pointer;
}

.project-container{
    display: flex;
    flex-direction: column;
    margin-top: 30px;
}
.Projects{
    /* padding-left: 50px; */
    line-height: 34px

}
.context-1{
    text-align: center;
}
.last-body{
    /* height: 556px;
    width: 1344px; */
    border-bottom: 1px;
    padding-top: 6rem;
}
.last-body p{
    font-weight: 400;
    font-size: 3rem;
    line-height: 52px;
    padding-right: 50%;
}

.final-layout{
    gap: 48px;
    background-color: rgba(255,255,255,1);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 100px 0px;
}
.functionality-container{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px;
}
.OTP{
    display: flex;
    gap: 10px;
    justify-content: center;
    padding-bottom: 20px;
}
.OTP input{
    width: 15px;
    height: 10px; 
    border: 1px solid black;
    padding: 1rem 2rem 1rem 2rem;
    background-color: white;
    border-radius: 8px;
    border: 1px solid black;
    text-align: center;
}
.submit{
    width: 100%;
}
.submit button{
    width: 100%;
    background-color: blue;
    color: white;
    padding: 0.6rem 2rem 1rem 1.5rem;
    
}
.skip button{
    background-color: white;
    color: blue;
    padding: 1rem 2rem 1rem 2rem;
}
.Projects{
    font-size: 34px;
}
.ending-details p{
    font-weight: 400;
    font-size: 28px;
    line-height: 32px;
    text-align: center;
}
.footer{
    display: grid;
    grid-template-columns: repeat(2,1fr);
}
.copyright{
    margin-left: 20px;
}
.back-to-top{
    display: flex;
    justify-content: flex-end;
    margin-bottom: 20px;
    margin-right: 20px;
}
.back-to-top button{
    width: 136px;
    height: 48px;
    border-radius: 8px;
    border: 1px solid black;
    padding: 12px 24px 12px 24px;
    background-color: white;
    color: black;
}
.back-to-top button a{
    text-decoration: none;
}
@media screen and (max-width: 412px) {
    .navbar{
        display: none !important;
    }
    .main-container{
        margin: 0px 10px;
    }
    .body .main-page p{
        font-size: 50px;
    }
    .last-body p{
        padding-right: 0px;
        font-size: 1.8125rem;
    }
    .final-layout{
        margin: 10px;
    }
    .main-body{
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
    }
    .submit button{
        width: 70%;
        margin-left: 40px;
    }
    .submit{
        margin-left: 60px;
    }
    .skip button{
        margin-right: 30px;
    }
    .OTP{
        padding-left: 40px;
        padding-right: 35px;
        gap:2px;
        justify-content: space-around;
    }
}
@media screen and (max-width:1024px){
    .navbar{
        display: none !important;
    }
    .main-body{
        flex-direction: column;
    }
    .last-body p{
        font-size: 1.75rem;
    }
    .body .main-page p{
        font-size: 3rem;
    }
}